#include <cstdio>

#include "Prototype.h"
#include "Communication.h"

#ifdef WIN32
#   include <windows.h>
#endif

Prototype::Prototype() {
	    
 	comm = NULL;
    
    player_team = NULL;
    player_number = NULL;
}

bool Prototype::init(char* server, int port)
{
    char msg[8192];

	comm = new Communication(server, port);
	if (comm == NULL)
		return false;
    
    comm->send("(scene rsg/agent/soccerbot056.rsg)");
    comm->receive(msg);

    sprintf(msg, "(init (unum %s)(teamname %s))", player_number, player_team);
    comm->send(msg);

	return true;
}

int Prototype::run() {
	    
    //start communication thread
    comm->start();
    
    //Here should be main agent loop
    //cakanie 100s
#ifdef WIN32
    Sleep(100000);
#else
    sleep(100);
#endif

    //stop communication thread
	comm->stop();
	
    delete comm;
	return 0;
}