/*
 *  ThreadTest.cpp
 *  Prototype
 *
 *  Created by Stefan Dlugolinsky on 25.2.2008.
 *  Copyright 2008 __MyCompanyName__. All rights reserved.
 *
 */
 
#include <pthread.h>
#include <iostream>

using namespace std;

void * threadMain1(void * foo) {

	while (1) {
		cout << "1";
	}
	
    pthread_exit((void *) NULL);
}

void * threadMain2(void * foo) {

	while (1) {
		cout << "2";
	}
	
    pthread_exit((void *) NULL);
}

int main (int argc, char * const argv[]) {

	pthread_attr_t attr;						//!< thread attributes
	pthread_t	   thread1, thread2;			//!< thread descriptor

    pthread_attr_init(&attr);
    pthread_attr_setdetachstate(&attr, PTHREAD_CREATE_JOINABLE);

	pthread_create(&thread1, &attr, threadMain1, NULL);
	pthread_create(&thread2, &attr, threadMain2, NULL);

	pthread_attr_destroy(&attr);

	int status = 0;

	pthread_join(thread1, (void **) &status);
	pthread_join(thread2, (void **) &status);
	
	return 0;
}
