/*
 *  StackTest.cpp
 *  Prototype
 *
 *  Created by Stefan Dlugolinsky on 25.2.2008.
 *  Copyright 2008 Hviezdna jedenastka. All rights reserved.
 *
 */

#include "../../src/templates/Stack.h"
#include <iostream>

using namespace std;

int main (int argc, char * const argv[]) {

	Stack<int> stack(10);

	for (int i=1; i<=100000; i++) {
	
		cout << "push " << i << endl;
		stack.push(i);
	}	

	while (!stack.empty()) {
		
		cout << "top " << stack.top() << endl;
		stack.pop();
	}

	return 0;
}